Modify User Group
You can add or remove users from the group. Name and id of the group cannot be changed.
The group object to be updated
Show optional properties
{
"name": "string"
}
"{\n \"id\" : \"85172da1-792e-44fe-b9ce-cc2b04cfe9ec\",\n \"name\" : \"user_group_name\",\n \"description\" : \"user_group_desc\",\n \"userIds\" : [ \"9f9d3764-b76e-49f5-9676-c3cc969c160d\" ],\n \"role-permissions\" : [ {\n \"roleName\" : \"Administrator\",\n \"traversal-spec-instances\" : [ {\n \"adapterKind\" : \"adap_kind\",\n \"resourceKind\" : \"resource_kind\",\n \"name\" : \"traversal_spec_name\",\n \"selectAllResources\" : true\n } ],\n \"allowAllObjects\" : true\n } ]\n}"
The identifier of the auth source. If it is null, a local user group will be created.
A description about this group.
The displayName of this group.
External ID of vIDB user group. This field is only used in vIDB user group import flow. It will not be populated for any other scenarios. Please note, this field may be removed in future.
The identifier of this group.(unique)
Note: Required when updating or deleting the user group.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
The name of this group.
The list of role permissions assigned to this group. May be null. Replaces and takes precedence over roleNames.
(Deprecated) List of role names assigned to the user group. May be null.
The list of users who are members of this group.
The user group is updated successfully
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/suite-api/api/auth/usergroups